<!doctype html>
<html lang="en">

<head>
    <title>Tema 8</title>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap  CSS -->
    <link rel="stylesheet" href="vendor/bootstrap-4.1.3-dist/css/bootstrap.css">
</head>

<body>

    <div class="container">
        <div class="row">
            <div class="col mt-5">
                <blockquote>
                    <p class="verse"></p>
                </blockquote>
                <p class="reference text-right"></p>

            </div>
        </div>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="vendor/jquery/jquery-3.3.1.min.js"></script>
    <script src="vendor/popper/popper.min.js"></script>
    <script src="vendor/bootstrap-4.1.3-dist/js/bootstrap.js"></script>
    <script>
        function randomNumber(min, max) {
            return Math.floor(Math.random() * (max - min)) + min;
        }

        $.ajax({
            url: 'http://getbible.net/json',
            dataType: 'jsonp',
            data: 'v=kjv',
            jsonp: 'getbible',
            success: function (json) {
                var randomBookId = randomNumber(1, Object.keys(json.version).length);
                var book = json.version[randomBookId];

                var randomChapterId = randomNumber(1, Object.keys(book.book).length);
                var chapter = book.book[randomChapterId];

                var randomVerseId = randomNumber(1, Object.keys(chapter.chapter).length);
                var verse = chapter.chapter[randomVerseId];

                var verseText = "<q>" + verse.verse + "</q>";
                $('.verse').append(verseText);
                $('.reference').append("<cite>" + book.book_name + " " + randomChapterId + ":" + randomVerseId + "</cite>");
            }
        })
    </script>

</body>

</html>